Anonymous Login
2019-12-14 20:54 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000586v2.2 Release (Closed)[All Projects] Generalpublic2010-12-19 13:23
Reportersham 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.2 
Summary0000586: viewing of projects ( in user mode) ( dept not added
Descriptioni have created user gave limited Permission.
i have attached jpg image of ready reference.
if i dont have department to user and try to access project we get error( in user mode)
 also no tasks are not displayed for the users.
TagsNo tags attached.
Attached Files
  • jpg file icon 1.JPG (70,895 bytes) 1969-12-31 16:00 -
    jpg file icon 1.JPG (70,895 bytes) 1969-12-31 16:00 +

-Relationships
+Relationships

-Notes

~0001296

caseydk (administrator)

Could you copy/paste the entire error message? Thanks.

~0001297

sham (reporter)

ERROR: C:\wamp\www\web2project-2.1\classes\w2p\Database\Query.class.php(1116) : query failed(SELECT projects.project_id, project_name, project_parent FROM ((`projects` AS projects)) INNER JOIN `companies` AS companies ON projects.project_company = company_id WHERE project_original_parent = 5 AND project_active = 1 AND ((0=1) OR dept_id IS NULL) ORDER BY project_name) - error was: Unknown column 'dept_id' in 'where clause'
Backtrace:
0 C:\wamp\www\web2project-2.1\classes\w2p\Database\Query.class.php:1116 dprint()
1 C:\wamp\www\web2project-2.1\classes\w2p\Database\Query.class.php:1153 exec()
2 C:\wamp\www\web2project-2.1\modules\projects\projects.class.php:1220 loadList()
3 C:\wamp\www\web2project-2.1\modules\projects\vw_idx_projects.php:158 getStructuredProjects()
4 C:\wamp\www\web2project-2.1\style\web2project\overrides.php:101 require()
5 C:\wamp\www\web2project-2.1\modules\projects\index.php:152 show()
6 C:\wamp\www\web2project-2.1\index.php:363 require()

~0001298

caseydk (administrator)

I've explored this one and it's trivial to reproduce.. just deny access to a department and poof. I've been hacking at it and don't see a clean way to handle it..

~0001301

caseydk (administrator)

Resolved in r1469

~0001464

caseydk (administrator)

In v2.2 release.
+Notes

-Issue History
Date Modified Username Field Change
2010-09-29 05:28 sham New Issue
2010-09-29 05:28 sham File Added: 1.JPG
2010-09-29 05:38 caseydk Note Added: 0001296
2010-09-29 21:14 sham Note Added: 0001297
2010-09-30 10:58 caseydk Note Added: 0001298
2010-10-06 20:49 caseydk Project v2.1 Release (Closed) => v2.2 Release (Closed)
2010-10-06 20:50 caseydk Note Added: 0001301
2010-10-06 20:50 caseydk Status new => resolved
2010-10-06 20:50 caseydk Resolution open => fixed
2010-10-06 20:50 caseydk Assigned To => caseydk
2010-12-19 13:23 caseydk Note Added: 0001464
2010-12-19 13:23 caseydk Status resolved => closed
2010-12-19 13:23 caseydk Fixed in Version => 2.2
+Issue History